org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_STANDARDTILENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_STANDARDTILENode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_STANDARDTILENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_STANDARDTILENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_STANDARDTILENode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_STANDARDTILENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindInfo(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindInfostate(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindNumber(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindNumberunit(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindTiletype(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `bindTitle(IDynamicContentBindingObject value)`
    `UI5M_STANDARDTILENode` | `setActionListener(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setAttributemacro(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setComment(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setConfiginfo(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setIcon(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setId(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setInfo(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setInfostate(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setLayoutdata(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setNumber(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setNumberunit(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setReference(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setRendered(boolean value)`
    `UI5M_STANDARDTILENode` | `setRendered(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setStyleseq(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setStylevariant(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setTiletype(java.lang.String value)`
    `UI5M_STANDARDTILENode` | `setTitle(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_STANDARDTILENode

          public UI5M_STANDARDTILENode()

  - ### Method Detail

    - #### setId

          public UI5M_STANDARDTILENode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_STANDARDTILENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_STANDARDTILENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_STANDARDTILENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_STANDARDTILENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_STANDARDTILENode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_STANDARDTILENode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_STANDARDTILENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_STANDARDTILENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_STANDARDTILENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setIcon

          public UI5M_STANDARDTILENode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5M_STANDARDTILENode bindIcon(IDynamicContentBindingObject value)

    - #### setInfo

          public UI5M_STANDARDTILENode setInfo(java.lang.String value)

    - #### bindInfo

          public UI5M_STANDARDTILENode bindInfo(IDynamicContentBindingObject value)

    - #### setInfostate

          public UI5M_STANDARDTILENode setInfostate(java.lang.String value)

    - #### bindInfostate

          public UI5M_STANDARDTILENode bindInfostate(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_STANDARDTILENode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_STANDARDTILENode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setNumber

          public UI5M_STANDARDTILENode setNumber(java.lang.String value)

    - #### bindNumber

          public UI5M_STANDARDTILENode bindNumber(IDynamicContentBindingObject value)

    - #### setNumberunit

          public UI5M_STANDARDTILENode setNumberunit(java.lang.String value)

    - #### bindNumberunit

          public UI5M_STANDARDTILENode bindNumberunit(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_STANDARDTILENode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_STANDARDTILENode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_STANDARDTILENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_STANDARDTILENode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_STANDARDTILENode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_STANDARDTILENode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_STANDARDTILENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_STANDARDTILENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTiletype

          public UI5M_STANDARDTILENode setTiletype(java.lang.String value)

    - #### bindTiletype

          public UI5M_STANDARDTILENode bindTiletype(IDynamicContentBindingObject value)

    - #### setTitle

          public UI5M_STANDARDTILENode setTitle(java.lang.String value)

    - #### bindTitle

          public UI5M_STANDARDTILENode bindTitle(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.